<div>
  <lib-bb-itag-angular-navbar
    [isMenuVisibleMethod]="isMenuVisibleMethod"
    [color]="color"
    [leftMenuItems]="leftMenuItems"
    [rightMenuItems]="rightMenuItems"
    [applicationName]="applicationName"
    [applicationLogoAlt]="applicationLogoAlt"
    [applicationLogoUri]="applicationLogoUri"
    [profile]="profile"
    [activeRouterLinkClass]="activeRouterLinkClass"
    [showDebug]="showDebug"
    [applicationRouterLink]="applicationRouterLink"
    (menuClicked)="onMenuClicked($event)"
  ></lib-bb-itag-angular-navbar>
  <div class="body row scroll-y">
    <div>
      <br>
      <button mat-flat-button color="primary" (click)="setColor('primary')">primary</button>
      <button mat-flat-button color="warn" (click)="setColor('warn')">warn</button>
      <button mat-flat-button color="accent" (click)="setColor('accent')">accent</button>

      <br>
      <br>

      <mat-slide-toggle
        [color]="color"
        [checked]="authService.isAuthenticated$ | async"
        disabled="true"
        labelPosition="before"
      >isAutenticated: </mat-slide-toggle>
      <br>
      <mat-slide-toggle
        [color]="color"
        [checked]="authService.isAdmin"
        labelPosition="before"
        (change)="authService.setMembership('admin', $event.checked)"
      >isAdmin: </mat-slide-toggle>
      <br>
      <mat-slide-toggle
        [color]="color"
        [checked]="authService.isUser1"
        labelPosition="before"
        (change)="authService.setMembership('user1', $event.checked)"
      >isUser1: </mat-slide-toggle>
      <br>
      <mat-slide-toggle
        [color]="color"
        [checked]="authService.isUser2"
        labelPosition="before"
        (change)="authService.setMembership('user2', $event.checked)"
      >isUser2: </mat-slide-toggle>
      <br>
      <mat-slide-toggle
        [color]="color"
        [checked]="authService.isUser3"
        labelPosition="before"
        (change)="authService.setMembership('user3', $event.checked)"
      >isUser3: </mat-slide-toggle>
      <br>
      <br>
      <mat-slide-toggle
        [color]="color"
        [checked]="showProfile"
        labelPosition="before"
        [(ngModel)]="showProfile"
        (change)="switchShowProfile($event.checked)"
      >showProfile</mat-slide-toggle>
      <br>
      <mat-form-field class="example-full-width" *ngIf="showProfile">
        <input (keydown)="setUsername()" [(ngModel)]="username" matInput placeholder="username">
      </mat-form-field>
      <br>
      <br>
      <button mat-flat-button [color]="color" (click)="setOnline(true)">online</button>
      <button mat-flat-button [color]="offlineThemePalette" (click)="setOnline(false)">offline</button>
      <br>
      <br>
      <h2>current route is {{ url }}</h2>

    </div>

    <router-outlet ></router-outlet>
  </div>

  <lib-bb-itag-angular-footer
    [appVersion]="appVersion"
    [showPointer]="showPointer"
    [onlineThemePalette]="color"
    [offlineThemePalette]="offlineThemePalette"
    [onlineFaIconDefinition]="onlineFaIconDefinition"
    [offlineFaIconDefinition]="offlineFaIconDefinition"
    [onlineText]="onlineText"
    [offlineText]="offlineText"
    [versionRouterLink]="versionRouterLink"
    [versionRouterLinkClass]="activeRouterLinkClass"
    (appVersionClicked)="onFooterAppVersionClicked($event)"
    [online]="online"
  ></lib-bb-itag-angular-footer>
</div>
